- Qt 6.12
- Qt Quick 3D
- QML Types
- TextureProviderExtension
- Qt Quick 3D | Commercial or GPLv3

# TextureProviderExtension QML Type (Uncreatable)

Abstract base type for render extensions that produce a texture. More...

Import Statement: | `import QtQuick3D`
Since: | Qt 6.11
In C++: | QQuick3DTextureProviderExtension
Inherits: | RenderExtension
Inherited By: | QuadTextureProvider and RenderOutputProvider

Note: This is an uncreatable type. It cannot be instantiated in QML.

- List of all members, including inherited members

## Enumerations

- SamplerHint `(since 6.11)`

## Properties

- samplerHint : SamplerHint `(since 6.11)`

## Detailed Description

TextureProviderExtension is an uncreatable abstract base type for render extensions that expose a GPU texture to the Qt Quick 3D scene. Subclasses (such as RenderOutputProvider) can be assigned to the textureProvider property of a Texture, causing the extension's render code to run automatically when the texture is needed by the scene.

See also RenderOutputProvider, QQuick3DTextureProviderExtension, and QSSGRenderExtension.

## Enumeration Documentation

### `[since 6.11]` SamplerHint

Specifies a hint about the type of texture the extension provides.

Constant | Description
--- | ---
`TextureProviderExtension.Sampler2D` | A 2D texture
`TextureProviderExtension.Sampler2DArray` | An array texture
`TextureProviderExtension.Sampler3D` | A 3D texture
`TextureProviderExtension.SamplerCube` | A cube map texture
`TextureProviderExtension.SamplerCubeArray` | An array of cube map textures
`TextureProviderExtension.SamplerBuffer` | A buffer texture

This enumeration was introduced in Qt 6.11.

## Property Documentation

### samplerHint : SamplerHint `[since 6.11]`

This property contains a hint about the type of texture that will be provided by the extension. This is necessary because the texture data will not be provided until it is necessary, but materials that use the Texture component need to know what type of sampler to provide.

The default value is `TextureProviderExtension.Sampler2D`.

Note: This property is only used when using CustomMaterials.

This property was introduced in Qt 6.11.